/**
 * @file        adaptor_api.h
 * @brief       API interface server

 * Copyright (c) 2017 Samsung Electronics Co., Ltd.
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung.
 */

#ifndef __ADAPTOR_SETTING_H__
#define __ADAPTOR_SETTING_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "sa_types.h"

/**
 * @fn        void *setting_main_thread(void *pv)
 * @brief     main function to run configuration setting thread
 * @param     void *pv
 * @return    void *
 */
	void *setting_main_thread(void *pv);

/**
 * @fn        sa_error_e sa_remove_config_file(void)
 * @brief     function to remove split config files
 * @return    sa_error_e
 */
	sa_error_e sa_remove_config_file(void);

#ifdef __cplusplus
}
#endif
#endif							/* __ADAPTOR_SETTING_H__ */
